Update a taxonomy
PUT
/api/content/management/taxonomies/{id}
const url = 'https://example.com/api/content/management/taxonomies/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"Product Categories","description":"example","shortName":"example","properties":{"additionalProperty":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/content/management/taxonomies/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "Product Categories", "description": "example", "shortName": "example", "properties": { "additionalProperty": "example" } }'Updates an existing taxonomy
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
Taxonomy ID
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
name
Taxonomy name
string
Example
Product Categoriesdescription
Taxonomy description
string
shortName
Short name for tags
string
properties
Custom properties
object
key
additional properties
Responses
Section titled “Responses”Taxonomy updated successfully
Media typeapplication/json
object
id
required
string
Examplegenerated
{ "id": "example"}Invalid request